import pkg from './package.json';

import babel from '@rollup/plugin-babel';
import terser from '@rollup/plugin-terser';
import copy from 'rollup-plugin-copy'

export default {
  input: 'src/kelvin-address-search-widget.js',
  output: {
    file: `dist/kelvin-address-search-widget-v${pkg.version}.min.js`,
    format: 'iife',
    name: 'kelvinAddressSearchWidget',
    sourcemap: true,
  },
  plugins: [
    babel({
      babelHelpers: 'bundled',
      presets: [
        ['@babel/preset-env', {
          targets: '> 0.25%, not dead',
          useBuiltIns: 'usage',
          corejs: 3,
        }],
      ],
      exclude: 'node_modules/**',
    }),
    terser(),
    copy({
      targets: [
        { src: `dist/kelvin-address-search-widget-v${pkg.version}.min.js`, dest: 'docs' }
      ]
    })
  ]
};
